streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func Class Reference
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func:

## Classes

struct | kernel_func

## Public Member Functions

| run_kernel_func (kernel_input_tuple &ip, const streaming_node &node, const args_storage &storage)
template<typename... FnArgs>
void | operator() (FnArgs &... args)

## Private Attributes

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func | my_kernel_func

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename... Args>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func

Definition at line 506 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## run_kernel_func()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::run_kernel_func | ( | kernel_input_tuple & | ip,
|  | const streaming_node< tuple< Ports... >, JP, StreamFactory > & | node,
|  | const args_storage & | storage
| ) |  |

inline

Definition at line 508 of file _flow_graph_streaming_node.h.

: my_kernel_func( ip, node, storage, get<0>(ip).device() ) {}

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename... FnArgs>

void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::operator() | ( | FnArgs &... | args | ) |

inline

Definition at line 514 of file _flow_graph_streaming_node.h.

{
internal::convert_and_call_impl<FnArgs...>::doit( my_kernel_func, my_kernel_func.my_ip, args... );
}

## Member Data Documentation

## my_kernel_func

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::my_kernel_func

private

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

internal::convert_and_call_impl
Definition: _flow_graph_streaming_node.h:124
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::my_kernel_func
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_kernel_func::kernel_func my_kernel_func

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.